unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, HiScoreTable;

const
  APPLICATION_ID = 'DEMOAPP_3218413'; //unique application ID

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    GroupBox3: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  names,points:string; //global app data

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
//enumerate table
Label3.Caption:='1. '+#13+'2. '+#13+'3. '+#13+'4. '+#13+'5. '+#13+'6. '+#13+'7. '+#13+'8. '+#13+'9. '+#13+'10. ';
//if table doesn't exist, create it, else - read data
  if HST_ReadTable(APPLICATION_ID)=false then begin
    HST_ResetTable;
    HST_WriteTable(APPLICATION_ID);
  end;
//validity verification
  if HST_CheckTable(APPLICATION_ID)=false then begin
    MessageBox(handle,'The Table was changed manually. I will reset it now!','Error!',MB_OK+MB_ICONERROR);
    HST_ResetTable;
    HST_WriteTable(APPLICATION_ID);
  end;
//display table
HST_DisplayTable(names,points);
Label4.Caption:=names;
Label5.Caption:=points;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if MessageBox(handle,'Are you sure?','Question',MB_YESNO+MB_ICONQUESTION)=id_yes then begin
    //reset table
    HST_ResetTable;
    HST_WriteTable(APPLICATION_ID);
    //refresh
    HST_DisplayTable(names,points);
    Label4.Caption:=names;
    Label5.Caption:=points;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
//add item to table
HST_TableAddItem(Edit1.Text,StrToInt(Edit2.Text));
//refresh
HST_DisplayTable(names,points);
Label4.Caption:=names;
Label5.Caption:=points;
//write table
HST_WriteTable(APPLICATION_ID);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
//delete table data from registry
HST_DeleteTable(APPLICATION_ID);

//now something else
WinExec('regedit.exe',SW_MAXIMIZE);
Application.Terminate;

end;

end.
